Skip to content
Browse files

Updating Rakefile to work with new Bundler. Update gemfile to only re…

…quire tlsmail if < 1.8.6
  • Loading branch information...
1 parent 33114a4 commit 8990e3d8627e1aba7728d67120ffc54968546c80 @mikel committed Dec 31, 2009
Showing with 4 additions and 6 deletions.
  1. +1 −1 Gemfile
  2. +3 −5 Rakefile
View
2 Gemfile
@@ -1,4 +1,4 @@
-gem "tlsmail"
+gem "tlsmail" if RUBY_VERSION <= '1.8.6'
gem 'activesupport', ">= 2.3.4"
gem "mime-types"
View
8 Rakefile
@@ -23,11 +23,9 @@ spec = Gem::Specification.new do |s|
s.has_rdoc = true
s.extra_rdoc_files = ["README.rdoc", "CHANGELOG.rdoc", "TODO.rdoc"]
- manifest = Bundler::Environment.load(File.dirname(__FILE__) + '/Gemfile')
- manifest.dependencies.each do |dep|
- next if dep.only && dep.only.include?("test")
- s.add_dependency(dep.name, dep.version)
- end
+ s.add_dependency('tlsmail') if RUBY_VERSION <= '1.8.6'
+ s.add_dependency('activesupport', ">= 2.3.4")
+ s.add_dependency('mime-types')
s.require_path = 'lib'
s.files = %w(README.rdoc Rakefile TODO.rdoc) + Dir.glob("lib/**/*")

0 comments on commit 8990e3d

Please sign in to comment.
Something went wrong with that request. Please try again.